import { I18nBaseService, II18nBaseOptions } from 'base-foundation';
import { IntlLiteralsLoaderService } from './intl-literal-loader.service';
/**
 * Serviço de internacionalização da aplicação
 */
export declare class IntlService extends I18nBaseService {
    /**
     * Atributo de opções de internacionalização
     */
    options: II18nBaseOptions;
    /**
     * Método construtor que inicializa a classe
     * @param translate Serviço de internacionalização
     */
    constructor(intlLiteralsLoader: IntlLiteralsLoaderService);
}
