import { LoadingDefault, BaseMessage, I18nBaseService } from 'base-foundation';
import { LoadingController } from 'ionic-angular';
/**
 * Serviço responsável pela apresentação de loading
 */
export declare class ShowLoadingService extends LoadingDefault {
    private i18n;
    private loadingController;
    private loading;
    private loadingActived;
    private loadingText;
    private thfContentTemplate;
    /**
     * Método construtor que inicializa a classe
     * @param i18n Serviço de internacionalização
     * @param loadingController Serviço de loading
     */
    constructor(i18n: I18nBaseService, loadingController: LoadingController);
    showLoading(): void;
    hideLoading(): void;
    setLoadingText(loadingText: BaseMessage): void;
}
