import { CameraOptions } from '@ionic-native/camera';
/**
 * Interface que define as propriedades e comportamentos do
 * utilitário de camera
 */
export interface ICameraUtil {
    /**
     * Método responsável por apresentar a camera para que o usuário
     * possa tirar uma foto
     * @param options Opções da camera
     */
    takePicture(options?: CameraOptions): Promise<string>;
    /**
     * Método responsável por limpar as imagens em cache
     */
    cleanup(): void;
}
