import { OidcCordovaPopupWindow } from './oidc-cordova-popup-window';
import { InAppBrowser } from '@ionic-native/in-app-browser';
/**
 * Classe responsável pela navegação com popup utilizado no processo
 * de autenticação com Oidc no Ionic
 */
export declare class OidcCordovaPopupNavigator {
    private iab;
    /**
     * Método construtor que inicializa a classe
     * @param iab Serviço do plugin nativo InAppBrowser
     */
    constructor(iab: InAppBrowser);
    /**
     * Método que prepara a janela de popup
     * @param params Parâmetros para a janela de popup
     */
    prepare(params: any): Promise<OidcCordovaPopupWindow>;
}
